Bug 175446 - librpm.la references libpopt.la which doesn't exist
Summary: librpm.la references libpopt.la which doesn't exist
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-10 20:58 UTC by John Ellson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 14:24:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ellson 2005-12-10 20:58:05 UTC
Description of problem:
/usr/lib/librpm.la references /usr/lib/libpopt.la which doesn't exist.

Version-Release number of selected component (if applicable):
rpm-devel-4.4.2-10
popt-1.10.2-10

How reproducible:


Steps to Reproduce:
1.grep popt /usr/lib/*la
2.
3.
  
Actual results:
/usr/lib/librpm.la:dependency_libs=' -L/usr/lib /usr/lib/librpmdb.la
-L/usr/kerberos/lib -L/usr/local/lib -lsqlite3 -lelf /usr/lib/librpmio.la
/usr/lib/libbeecrypt.la /usr/lib/libneon.la -lssl -lcrypto -lgssapi_krb5 -lkrb5
-lk5crypto -lkrb5support -lcom_err -lresolv /usr/lib/libexpat.la -lm -ldl -lz
-lrt -lpthread -lbz2 /usr/lib/libpopt.la -lselinux'
/usr/lib/librpmbuild.la:dependency_libs=' -L/usr/lib /usr/lib/librpm.la
-L/usr/kerberos/lib -L/usr/local/lib -lselinux /usr/lib/librpmdb.la
/usr/lib/libpopt.la -lsqlite3 /usr/lib/librpmio.la /usr/lib/libbeecrypt.la
/usr/lib/libneon.la -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lk5crypto -lkrb5support
-lcom_err -lresolv /usr/lib/libexpat.la -lm -ldl -lz -lrt -lpthread -lbz2 -lelf'
/usr/lib/librpmdb.la:dependency_libs=' -L/usr/lib /usr/lib/librpmio.la
/usr/lib/libbeecrypt.la /usr/lib/libneon.la -L/usr/kerberos/lib -lssl -lcrypto
-lgssapi_krb5 -lkrb5 -lk5crypto -lkrb5support -lcom_err -lresolv
/usr/lib/libexpat.la -lm -ldl -L/usr/local/lib -lz -lrt -lpthread -lbz2
/usr/lib/libpopt.la -lsqlite3 -lelf'


Expected results:
If we're not goig to use .la then there shouldn't be any references to them.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.